%define name yacas
%define version 1.2.2
%define release %mkrel 5

%define major 0
%define libname %mklibname %name %major


Name: %{name}
Summary: Yacas, a computer algebra language
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-1.2.2-fix-str-fmt.patch
Patch1: %{name}-1.2.2-fix-gcc-43.patch
Group: Development/Other
URL: http://yacas.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gsl-devel
License: GPLv2

%description
Yacas (Yet Another Computer Algebra System) is a small and highly
flexible computer algebra language. The syntax uses a infix-operator
grammar parser. The distribution contains a small library of
mathematical functions, but its real strength is in the language in
which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .strfmt
%patch1 -p1 -b .gcc43

%build
%configure

%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755)
%doc docs/*
%{_datadir}/yacas
%{_bindir}/*



%changelog
* Sun May 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.2-5mdv2010.0
+ Revision: 379337
- fix str fmt (1 patch)
- fix build with gcc 4.3 (1 patch)
- fix license (GPLv2)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2008.1
+ Revision: 119981
- new release
- running make -k is just asking for problems
- new URL
- buildrequires gsl-devel
- use %%mkrel
- import yacas


* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.55-2mdk
- rebild with new g++

* Thu May 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.55-1mdk
- 1.0.55

* Tue May 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.54rev1-1mdk
- 1.0.54rev1
- distlint error
- libidification

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-4mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-3mdk
- rebuild

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-2mdk
- add libdir

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.53-1mdk
- 1.0.53

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.52-1mdk
- 1.0.52

* Tue May 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.51-1mdk
- 1.0.51

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.47rev7-1mdk
- 1.0.47rev7

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.0.47rev2-1mdk
- updated to 1.0.47rev2
- patch 0 (missing #include)

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.44rev4-1mdk
- updated to 1.0.44rev4

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.42-1mdk
- updated to 1.0.42

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.40rev3-1mdk
- fix install
- updated to 1.0.40rev3

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.19-2mdk
- fix group

* Thu Dec 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contribs
- specfile adaptations
- added docs
